package com.jpsoft.shinestar.modules.sys.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.sys.entity.RolePermission;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface RolePermissionService {
	RolePermission get(String id);
	boolean exist(String id);
	int insert(RolePermission model);
	int update(RolePermission model);
	int delete(String id);
	List<RolePermission> list();
	Page<RolePermission> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,List<Sort> sortList);

    List<RolePermission> findByRoleId(String roleId);

	int deleteByRoleId(String roleId);
}